nifi-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Oleg Zhurakousky <ozhurakou...@hortonworks.com>
Subject Re: NiFi compilation error - master & 1.1.x branch
Date Thu, 22 Dec 2016 11:58:52 GMT
Andrew

I believe I’ve seen something similar before and it persisted until up’ve upgraded JDK.
Once on the latest (*_112) all was good, But discussing/testing it a bit internally even the
older upgrades would do (e.g., *_65)
FWIW, I has the same *_45 version until I started seeing this.

Cheers
Oleg

> On Dec 22, 2016, at 6:49 AM, Andrew Christianson <andrew.christianson@nextcentury.com>
wrote:
> 
>> What version of Java are using? Oracle or OpenJDK, 8 or 9, etc.? Also
> 
> $ java -version                                                                     
                                          
> java version "1.8.0_45"                                                             
                                                                                         
                                         
> Java(TM) SE Runtime Environment (build 1.8.0_45-b14)                                
                                                                                         
                                         
> Java HotSpot(TM) 64-Bit Server VM (build 25.45-b02, mixed mode)
> 
>> which branch are you building from? It looks like it's building
> 
> Tried both of these:
> 
> $ git branch -v                                                                     
                                          
> * master             44c9ea0 NIFI-3236 - SplitJson performance improvements         
                                                                                         
                                         
>  support/nifi-1.1.x 986e716 NIFI-3188: Added unit test to test corner cases

Mime
View raw message